Erreurs de shim pour la prise en charge de .NET Framework version et plate-forme

IMPORTANT : Cet article est issu d'une traduction automatique réalisée par un logiciel Microsoft et non par un traducteur professionnel. Cette traduction automatique a pu aussi être révisée par la communauté Microsoft grâce à la technologie Community Translation Framework (CTF). Pour en savoir plus sur cette technologie, veuillez consulter la page http://support.microsoft.com/gp/machine-translation-corrections/fr. Microsoft vous propose en effet des articles traduits par des professionnels, des articles issus de traductions automatiques et des articles issus de traductions automatiques révisées par la communauté Microsoft, de manière à ce que vous ayez accès à tous les articles de notre Base de connaissances dans votre langue. Il est important de noter que les articles issus de la traduction automatique, y compris ceux révisés par la communauté Microsoft, peuvent contenir des erreurs de vocabulaire, de syntaxe ou de grammaire. Microsoft ne pourra être tenu responsable des imprécisions, erreurs, ainsi que de tout dommage résultant d’une traduction incorrecte du contenu ou de son utilisation par les clients.

La version anglaise de cet article est la suivante: 2715633
Remarque Cet article présente messages d’erreur shim. Si vous êtes un utilisateur final, essayez la résolution Lorsque vous rencontrez une erreur de shim « Vous devez activer le.NET Framework à partir de la boîte de dialogue fonctionnalités de Windows. » Pour tout autres erreurs shim, l’audience cible pour le contenu est le fournisseur de l’application ou le développeur, vous devez contacter le fournisseur de l’application afin de les informer qu’il existe un problème pour cette application.
Erreur : « vous devez activer le .NET Framework à partir de la boîte de dialogue fonctionnalités de Windows »
Message d'erreur :
Cette application n'a pas pu être démarrée. Vous devez activer le .NET Framework à partir de la boîte de dialogue fonctionnalités de Windows (à partir du Panneau de configuration, cliquez sur Programmes, activer ou désactiver les fonctionnalités Windows). »
Cause
Ce problème se produit car l'application n'est pas configurée d'une façon qui permet de déterminer la version appropriée du runtime .NET Framework. Le code shim correspondant est SHIM_GOTO_CONTROLPANEL.
Résolution
Pour le résoudre, activer le .NET Framework 3.5 qui est une fonctionnalité du système d'exploitation sur Windows 7 et Windows 8.

Pour Windows 8

Par défaut, le .NET Framework 3.5 est désactivé sur Windows 8. Pour l’activer, procédez comme suit :
  1. Dans l’écran de démarrage, tapez les premières lettres deLe panneau de configuration, puis cliquez surLe panneau de configurationdans la liste des applications.
  2. DansLe panneau de configuration, cliquez surProgrammes. (Ou choisissezProgrammes et fonctionnalitésSi vous n’utilisez pas l’affichage des catégories par défaut.)
  3. DansProgrammes et fonctionnalités, cliquez surActiver ou désactiver des fonctionnalités WindowsPour ouvrir leFonctionnalités de Windowsboîte de dialogue.
  4. DansFonctionnalités de Windows, sélectionnez le3.5 de.NET Framework (y compris .NET 2.0 et 3.0)case à cocher et cliquez surBien.

Pour Windows 7

Par défaut, .NET Framework 3.5 est activé sur Windows 7, cette erreur se produit uniquement si la fonction a été précédemment désactivée. Pour réactiver le .NET Framework 3.5, procédez comme suit :
  1. Dans le menu Démarrer, choisissezLe panneau de configuration.
  2. DansLe panneau de configuration, cliquez surProgrammes. (Ou choisissezProgrammes et fonctionnalitésSi vous n’utilisez pas l’affichage des catégories par défaut.)
  3. DansProgrammes et fonctionnalités, cliquez surActiver ou désactiver des fonctionnalités WindowsPour ouvrir leFonctionnalités de Windowsboîte de dialogue.
  4. DansFonctionnalités de Windows, sélectionnez leMicrosoft.NET Framework 3.5.1case à cocher et cliquez surBien.

Avis de non-responsabilité de solution tierce

Les informations et la solution dans ce document représentent la vue actuelle de Microsoft Corporation sur ces problèmes, à la date de publication. Cette solution est disponible par le biais de Microsoft ou d’un fournisseur tiers. Microsoft ne recommande aucun fournisseur tiers ou solution tierce spécifique mentionné dans cet article. Il peut exister également d'autres fournisseurs tiers ou solutions tierces non mentionnés dans cet article. Microsoft étant tenu de répondre aux évolutions du marché, ces informations ne doivent pas être interprétées comme un engagement de la part de Microsoft. Microsoft ne peut garantir l'exactitude des informations ou des solutions présentées par Microsoft ou par tout fournisseur tiers mentionné.

Microsoft ne fournit aucune garantie et exclut toute représentation, garantie et condition explicite, implicite ou prévue par la loi. Celles-ci incluent, mais ne sont pas limités à des représentations, garanties ou conditions de titre, absence de contrefaçon, condition satisfaisante, qualité marchande et adéquation à un usage particulier, en ce qui concerne tout service, solution, produit, ou tout autre élément ou information. En aucun cas Microsoft sera tenu responsable de toute solution tierce qui mentionne de cet article.

Erreur: « cette application n'a pas pu être démarrée »
Message d'erreur :
Cette application n'a pas pu être démarrée.
Cause
L'application n'est pas configurée de façon à permettre de déterminer la version appropriée du runtime.NET Framework. Le code shim correspondante est SHIM_NOVERSION_FOUND.
Résolution
Vous ne pouvez pas résoudre le problème de configuration vous-même. Contactez le revendeur de l'application pour résoudre la problème.
Erreur: « il s'appuie sur une version du .NET Framework qui n'est pas prise en charge sur ce périphérique »
Message d'erreur :
Cette application n'a pas pu être démarrée. Il s'appuie sur une version du .NET Framework qui n'est pas prise en charge sur ce périphérique.
Cause
Ce problème se produit car l'application n'est pas conçue pour s'exécuter sur ce périphérique. Par exemple, vous essayez d’exécuter une application qui repose sur un périphérique qui utilise un processeur ARM pour un processeur Intel. Le code shim correspondante est SHIM_UNSUPPORTED_PLATFORM.
Résolution
Vous ne pouvez pas résoudre le problème de configuration vous-même. Contactez le revendeur de l’application pour installer la version appropriée de l’application.
À propos des messages d'erreur de shim
Lorsque vous démarrez une application Microsoft .NET Framework, un programme de shim détermine la version du common language runtime (CLR) à charger, la charge et démarre l'application. Si le shim rencontre une erreur (par exemple, si elle ne peut pas trouver de version compatible du Framework .NET sur l'ordinateur), il affiche un message d'erreur avec instructions. Cet article fournit des informations sur les codes d’erreur SHIM_NOVERSION_FOUND, SHIM_GOTO_CONTROLPANELet SHIM_UNSUPPORTED_PLATFORM.

Pour plus d'informations sur les erreurs d'initialisation du .NET Framework, accédez et consultez la page Web MSDN suivante :

Avertissement : Cet article a été traduit automatiquement.

Propriétés

ID d'article : 2715633 - Dernière mise à jour : 11/22/2016 04:19:00 - Révision : 47.0

Microsoft .NET Framework 4.5

  • kbquadranttechsupp kbconsumer kbsurveynew kbtshoot kbexpertiseinter kbmt KB2715633 KbMtfr
Commentaires